Bug 197929 - Update the CSS Text WPT test suite
Summary: Update the CSS Text WPT test suite
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Javier Fernandez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-15 15:25 PDT by Javier Fernandez
Modified: 2019-06-05 06:23 PDT (History)
6 users (show)

See Also:


Attachments
Patch (58.78 KB, patch)
2019-05-15 15:33 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-highsierra (3.09 MB, application/zip)
2019-05-15 16:37 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.68 MB, application/zip)
2019-05-15 16:50 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-highsierra (2.96 MB, application/zip)
2019-05-15 17:19 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (8.06 MB, application/zip)
2019-05-15 17:34 PDT, Build Bot
no flags Details
Patch (63.04 KB, patch)
2019-06-04 14:30 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Fernandez 2019-05-15 15:25:48 PDT
Update the CSS Text test suite.
Comment 1 Javier Fernandez 2019-05-15 15:33:33 PDT
Created attachment 369997 [details]
Patch
Comment 2 Build Bot 2019-05-15 16:37:12 PDT
Comment on attachment 369997 [details]
Patch

Attachment 369997 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12202073

New failing tests:
imported/w3c/web-platform-tests/css/css-text/white-space/break-spaces-010.html
Comment 3 Build Bot 2019-05-15 16:37:14 PDT
Created attachment 370007 [details]
Archive of layout-test-results from ews102 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 4 Build Bot 2019-05-15 16:50:52 PDT
Comment on attachment 369997 [details]
Patch

Attachment 369997 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12202150

New failing tests:
imported/w3c/web-platform-tests/css/css-text/white-space/break-spaces-010.html
Comment 5 Build Bot 2019-05-15 16:50:54 PDT
Created attachment 370008 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 6 Build Bot 2019-05-15 17:19:19 PDT
Comment on attachment 369997 [details]
Patch

Attachment 369997 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12202201

New failing tests:
imported/w3c/web-platform-tests/css/css-text/white-space/break-spaces-010.html
Comment 7 Build Bot 2019-05-15 17:19:21 PDT
Created attachment 370009 [details]
Archive of layout-test-results from ews116 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 8 Build Bot 2019-05-15 17:34:30 PDT
Comment on attachment 369997 [details]
Patch

Attachment 369997 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12202278

New failing tests:
imported/w3c/web-platform-tests/css/css-text/white-space/break-spaces-010.html
Comment 9 Build Bot 2019-05-15 17:34:32 PDT
Created attachment 370010 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 10 Javier Fernandez 2019-05-16 06:46:57 PDT
Comment on attachment 369997 [details]
Patch

It seems there is a bug in the break-spaces implementation for the SimpleLineLayout codepath. 

Cancelled review request until I can investigate the issue and file the corresponding bug report.
Comment 11 Javier Fernandez 2019-06-04 14:30:43 PDT
Created attachment 371337 [details]
Patch
Comment 12 WebKit Commit Bot 2019-06-05 06:22:59 PDT
Comment on attachment 371337 [details]
Patch

Clearing flags on attachment: 371337

Committed r246104: <https://trac.webkit.org/changeset/246104>
Comment 13 WebKit Commit Bot 2019-06-05 06:23:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 Radar WebKit Bug Importer 2019-06-05 06:23:19 PDT
<rdar://problem/51438402>